#define AppName "dxirc"
#define AppVersion "1.40.1"
#define AppPublisher "David Vachulka"
#define AppURL "https://dxirc.org/"
#define AppNameFox "dxirc (FOX tookit)"
#define AppExeNameFox "dxirc-fox.exe"
#define AppNameQt "dxirc (Qt toolkit)"
#define AppExeNameQt "dxirc-qt.exe"

[Setup]
; NOTE: The value of AppId uniquely identifies this application.
; Do not use the same AppId value in installers for other applications.
; (To generate a new GUID, click Tools | Generate GUID inside the IDE.)
AppId={{482A4E6B-3C6C-4646-9EA4-55D0922DBD4A}
AppName={#AppName}
AppVersion={#AppVersion}
AppVerName={#AppName} {#AppVersion}
AppPublisher={#AppPublisher}
AppPublisherURL={#AppURL}
AppSupportURL={#AppURL}
AppUpdatesURL={#AppURL}
DefaultDirName={pf}\{#AppName}
DefaultGroupName={#AppName}
OutputBaseFilename={#AppName}-{#AppVersion}-setup
LicenseFile=bin\COPYING
Compression=lzma
SolidCompression=yes

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "cs"; MessagesFile: "compiler:Languages\Czech.isl"
Name: "sk"; MessagesFile: "compiler:Languages\Slovak.isl"

[CustomMessages]
en.Program=Program
cs.Program=Program
sk.Program=Program
en.Spell=Spellchecking
cs.Spell=Kontrola pravopisu
sk.Spell=Kontrola pravopisu
en.SpellEn=English
cs.SpellEn=Anglitina
sk.SpellEn=Anglitina
en.SpellCs=Czech
cs.SpellCs=etina
sk.SpellCs=etina
en.SpellSk=Slovak
cs.SpellSk=Sloventina
sk.SpellSk=Slovenina
en.FullInstallation=Full installation
cs.FullInstallation=pln instalace
sk.FullInstallation=Pln intalcia
en.CustomInstallation=Custom installation
cs.CustomInstallation=Voliteln instalace
sk.CustomInstallation=Vlastn intalcia

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked; OnlyBelowVersion: 0,6.1

[Types]
Name: "full"; Description: "{cm:FullInstallation}"
Name: "custom"; Description: "{cm:CustomInstallation}"; Flags: iscustom

[Components]
Name: "program"; Description: "{cm:Program}"; Types: full custom; Flags: fixed
Name: "spell"; Description: "{cm:Spell}"; Types: full
Name: "spell\en"; Description: "{cm:SpellEn}"; Types: full
Name: "spell\cs"; Description: "{cm:SpellCs}"; Types: full
Name: "spell\sk"; Description: "{cm:SpellSk}"; Types: full

[Files]
Source: "bin\*.exe"; DestDir: "{app}\bin"; Flags: ignoreversion
Source: "bin\*.dll"; DestDir: "{app}\bin"; Flags: ignoreversion recursesubdirs
Source: "bin\COPYING"; DestDir: "{app}\bin"; Flags: ignoreversion
Source: "bin\icons\*.png"; DestDir: "{app}\bin\icons"; Flags: recursesubdirs
Source: "bin\icons\smileys\dxirc.smiley"; DestDir: "{app}\bin\icons\smileys"; Flags: ignoreversion
Source: "bin\locale\*.mo"; DestDir: "{app}\bin\locale"; Flags: recursesubdirs
Source: "bin\translations\*.qm"; DestDir: "{app}\bin\translations"; Flags: recursesubdirs
Source: "bin\sounds\*.wav"; DestDir: "{app}\bin\sounds"; Flags: recursesubdirs
; Spellcheking (enchant)
Source: "lib\*.*"; DestDir: "{app}\lib"; Components: spell; Flags: recursesubdirs
Source: "share\enchant\hunspell\*en_US*"; DestDir: "{app}\share\enchant\hunspell"; Components: spell\en
Source: "share\enchant\hunspell\*cs_CZ*"; DestDir: "{app}\share\enchant\hunspell"; Components: spell\cs
Source: "share\enchant\hunspell\*sk_SK*"; DestDir: "{app}\share\enchant\hunspell"; Components: spell\sk
; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\{#AppNameFox}"; Filename: "{app}\bin\{#AppExeNameFox}"
Name: "{group}\{#AppNameQt}"; Filename: "{app}\bin\{#AppExeNameQt}"
Name: "{group}\{cm:ProgramOnTheWeb,{#AppName}}"; Filename: "{#AppURL}"
Name: "{group}\{cm:UninstallProgram,{#AppName}}"; Filename: "{uninstallexe}"
Name: "{commondesktop}\{#AppNameFox}"; Filename: "{app}\bin\{#AppExeNameFox}"; Tasks: desktopicon
Name: "{commondesktop}\{#AppNameQt}"; Filename: "{app}\bin\{#AppExeNameQt}"; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\{#AppNameFox}"; Filename: "{app}\bin\{#AppExeNameFox}"; Tasks: quicklaunchicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\{#AppNameQt}"; Filename: "{app}\bin\{#AppExeNameQt}"; Tasks: quicklaunchicon

